iterator.hpp File Reference

The iterator class allows to easily iterate (forward and backward) over prime numbers. More...

`#include <vector>`
`#include <cstddef>`
Include dependency graph for iterator.hpp:
This graph shows which files directly or indirectly include this file:

## Classes

class | primesieve::iterator
| primesieve::iterator allows to easily iterate over primes both forwards and backwards. More...

## Namespaces

| primesieve
| All of primesieve's C++ functions and classes are declared inside this namespace.

## Functions

uint64_t | primesieve::get_max_stop ()
| Returns the largest valid stop number for primesieve. More...

## Detailed Description

The iterator class allows to easily iterate (forward and backward) over prime numbers.

Copyright (C) 2015 Kim Walisch, kim.w.nosp@m.alis.nosp@m.ch@gm.nosp@m.ail..nosp@m.com

This file is distributed under the BSD License. See the COPYING file in the top level directory.